Package org.jboss.logmanager.handlers

# Enum SocketHandler.Protocol

java.lang.Object
java.lang.Enum<SocketHandler.Protocol>
org.jboss.logmanager.handlers.SocketHandler.Protocol

All Implemented Interfaces:
  `Serializable`, `Comparable<SocketHandler.Protocol>`, `java.lang.constant.Constable`

Enclosing class:
  `SocketHandler`

public static enum SocketHandler.Protocol extends Enum<SocketHandler.Protocol>
The type of socket

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SSL_TCP`
Transport Layer Security over TCP
`TCP`
Transmission Control Protocol
`UDP`
User Datagram Protocol

## Method Summary

Modifier and Type
Method
Description
`static SocketHandler.Protocol`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SocketHandler.Protocol[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TCP

public static final SocketHandler.Protocol TCP
Transmission Control Protocol

### UDP

public static final SocketHandler.Protocol UDP
User Datagram Protocol

### SSL_TCP

public static final SocketHandler.Protocol SSL_TCP
Transport Layer Security over TCP

## Method Details

### values

public static SocketHandler.Protocol[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SocketHandler.Protocol valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null